package main;

# Lecture des options
print STDERR "Reading the options\n";
Start::read_the_options();

# Lecture du fichier
print STDERR "Reading the file(s) " . join(' ', @ARGV) ."\n";
my $f;
if( $ARGV[0] ){ $f = new File($ARGV[0], <>) }
else{ $f = new File("stdin", <>) }

# Rpertoire temporaire
my $tmpdir = $ENV{TMPDIR} || "/tmp";
print STDERR "Entering temporary directory $tmpdir\n";
chdir $tmpdir || die "Cannot chdir to temporary dir $tmpdir: $!";

# On regarde s'il ne s'agit pas d'un type de fichier anormal
# (image, son, dvi, ps, etc.)
unless( exists $Start::optctl{in} ){
  print STDERR "Checking that you provided a reasonable file\n";
  $f->verif();
}

# Dtermination du type de fichier
print STDERR "Setting the file type\n";
if( defined $Start::optctl{in} ){
  $f->type($Start::optctl{in});
} else {
  $f->guess;
}

# Transformation
print STDERR "Transforming the file\n";
$f->transform();

# Cration des fichiers et compilation
print STDERR "Compiling\n";
$f->latex();

if( exists $optctl{out} and $optctl{out} eq "tex" ){
  $f->print("tex");
  $f->clean;
  exit 0;
}

$f->dvi();

if( exists $optctl{out} and $optctl{out} eq "dvi" ){
  $f->print("dvi");
  $f->clean;
  exit 0;
}

if( exists $optctl{out} and $optctl{out} eq "xdvi" ){
  $f->xdvi;
  $f->clean;
  exit 0;
}

$f->ps();

if( exists $optctl{out} and $optctl{out} eq "ps" ){
  $f->print("ps");
  $f->clean;
  exit 0;
}

$f->lpr();
$f->clean;
