
=head1 NAME

imprime.pl - prints a file, according to its type and encoding

=head1 SYNOPSIS

imprime --in=(Lang::Perl|Mail|Unknown) --out=(tex|dvi|xdvi|ps|lpr) file

 Options:
  --in=Lang::Perl  The input file is a Perl program
  --in=Mail        The input file is a (several) mail or news message(s)
  --in=Unknown     The input file should not be pretty-printed
  --in=Guess       The program will try to find the file type (default)
  --out=tex        Prints a LaTeX source file on stdout
  --out=dvi        Sends a DVI file on stdout
  --out=xdvi       Produces a DVI file and views it through xdvi
  --out=ps         Send a PS file to stdout
  --out=lpr        Send a PS file to the printer (default)
  --help           Print a short help message
  --man            Prints the whole (very short) manual

=head1 OPTIONS

=over 8

=item B<--in>

Specifies the type of the input file.

=over 8

=item I<Lang::Perl>

The input file contains perl code, that should be pretty-printed.

=item I<Mail>

The input file contains one or several mail or news messages.
Their headers will be simplified (the irrelevant entries will be dropped)
and printed in bold. In the case there are several messages, they
will be separated.

=item I<Unknown>

The input file may contain anything. It will be printed as is;
it will not be pretty-printed.

=item I<Guess>

The program will try to guess the file type (one of the preceedings).
This is the default behaviour.

=back

=item B<--out>

Specifies what should be done with the file.

=over 8

=item I<tex>

=item I<dvi>

=item I<xdvi>

=item I<ps>

=item I<lpr>

=back

=item B<--help>

Prints a short help message.

=item B<--man>

Prints the whole manual.

=back

=head1 DESCRIPTION

B<imprime> will read the given input file(s),
try to find what kind of file it is and,
if possible, pretty-print it.

=head1 ADDING NEW FILE TYPES

To be documented.

=head1 MISSING FEATURES

Ability to print HTML or XML files.

Ability to print files in various encodings.

=head1 BUGS

None serious yet.

=head1 AUTHOR

Vincent ZOONEKYND, E<lt>zoonek@math.jussieu.frE<gt>.

=head1 COPYRIGHT

GNU Public Licence 2

=cut
